<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="f3987565-edb1-48f6-9cad-d8168671c45c" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go File" />
      </list>
    </option>
  </component>
  <component name="GOROOT" path="d:\bin\Go" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IgnoredFileRootStore">
    <option name="generatedRoots">
      <set>
        <option value="E:\projects\golang\kingame\.idea" />
      </set>
    </option>
  </component>
  <component name="ProjectId" id="1QhK2smKfeK0AbnqK1TkhCXA9qv" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="PropertiesComponent">
    <property name="ASKED_ADD_EXTERNAL_FILES" value="true" />
    <property name="DefaultGoTemplateProperty" value="Go File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="configurable.Global.GOPATH.is.expanded" value="true" />
    <property name="configurable.Module.GOPATH.is.expanded" value="false" />
    <property name="configurable.Project.GOPATH.is.expanded" value="true" />
    <property name="go.import.settings.migrated" value="true" />
    <property name="go.sdk.automatically.set" value="true" />
    <property name="go.tried.to.enable.integration.vgo.integrator" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/taskpool" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.fonts.default" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\projects\golang\kingame\taskpool" />
      <recent name="E:\projects\golang\kingame\protos\swordmaster" />
      <recent name="E:\projects\golang\kingame\wallet" />
      <recent name="E:\projects\golang\kingame\nnet" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\projects\golang\kingame\protos\logics" />
      <recent name="E:\projects\golang\kingame\task_server\executor" />
      <recent name="E:\projects\golang\kingame\mod" />
      <recent name="E:\projects\golang\kingame\rpc" />
      <recent name="E:\projects\golang\kingame\protos\lobby" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Go Build.lobby">
    <configuration name="build_lobby" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/lobby" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/lobby" />
      <directory value="$PROJECT_DIR$/lobby" />
      <option name="run" value="false" />
      <method v="2" />
    </configuration>
    <configuration name="build_manager" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/manager" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/" />
      <directory value="$PROJECT_DIR$/manager" />
      <option name="run" value="false" />
      <method v="2" />
    </configuration>
    <configuration name="build_taskpool" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/taskpool" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/taskpool" />
      <directory value="$PROJECT_DIR$/taskpool" />
      <option name="run" value="false" />
      <method v="2" />
    </configuration>
    <configuration name="build_wallet" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/wallet" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/" />
      <directory value="$PROJECT_DIR$/wallet" />
      <option name="run" value="false" />
      <method v="2" />
    </configuration>
    <configuration name="build_walletdbdz" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/walletdbdz" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/walletdbdz" />
      <directory value="$PROJECT_DIR$/walletdbdz" />
      <option name="run" value="false" />
      <method v="2" />
    </configuration>
    <configuration name="lobby" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/lobby" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/lobby/main.go" />
      <directory value="$PROJECT_DIR$/lobby" />
      <method v="2" />
    </configuration>
    <configuration name="manager" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/manager" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/manager" />
      <directory value="$PROJECT_DIR$/manager" />
      <method v="2" />
    </configuration>
    <configuration name="taskpool" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/taskpool" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/" />
      <directory value="$PROJECT_DIR$/taskpool" />
      <method v="2" />
    </configuration>
    <configuration name="wallet" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/wallet" />
      <go_parameters value="-i" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$/wallet" />
      <directory value="$PROJECT_DIR$/wallet" />
      <method v="2" />
    </configuration>
    <configuration name="conf" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/conf" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/conf" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="log" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/log" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/log" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="mod" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/mod" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/mod" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="rds" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/rds" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/rds" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="test" type="GoTestRunConfiguration" factoryName="Go Test" temporary="true">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/test" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/test" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="test_wallet" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/wallet" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/wallet" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="utils" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/utils" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/utils" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <configuration name="zkeeper" type="GoTestRunConfiguration" factoryName="Go Test">
      <module name="kingame" />
      <working_directory value="$PROJECT_DIR$/zkeeper" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="DIRECTORY" />
      <directory value="$PROJECT_DIR$/zkeeper" />
      <filePath value="$PROJECT_DIR$/" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Go Build.lobby" />
      <item itemvalue="Go Build.manager" />
      <item itemvalue="Go Build.build_taskpool" />
      <item itemvalue="Go Build.wallet" />
      <item itemvalue="Go Build.taskpool" />
      <item itemvalue="Go Build.build_lobby" />
      <item itemvalue="Go Build.build_manager" />
      <item itemvalue="Go Build.build_wallet" />
      <item itemvalue="Go Build.build_walletdbdz" />
      <item itemvalue="Go Test.test_wallet" />
      <item itemvalue="Go Test.zkeeper" />
      <item itemvalue="Go Test.conf" />
      <item itemvalue="Go Test.mod" />
      <item itemvalue="Go Test.utils" />
      <item itemvalue="Go Test.log" />
      <item itemvalue="Go Test.rds" />
      <item itemvalue="Go Test.test" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Go Test.test" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f3987565-edb1-48f6-9cad-d8168671c45c" name="Default Changelist" comment="" />
      <created>1568215251085</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1568215251085</updated>
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="UnknownFeatures">
    <option featureType="com.intellij.fileTypeFactory" implementationName="*.py" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="COLUMN_ORDER" />
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="GoApplicationRunConfiguration">
        <watch expression="err" language="go" />
      </configuration>
    </watches-manager>
  </component>
</project>